@import (reference) './Cards.less';

.card.details {
  background-color: @offWhite;

  .dialog & {
    border-radius: @cardBorderRadius;
    overflow: hidden;
    box-shadow: rgba(0, 0, 0, 0.125) 0 1px 2px;
    .content {
      margin: 0;
    }
  }

  &.standalone {
    .imageContainer {
      margin-left: -(@gutterWidth / 2);
      margin-right: -(@gutterWidth / 2);
      margin-top: -(@gutterWidth / 2);
    }
    &.vertical-image {
        padding-top: 0;
    }
  }

  .snapshot-message {
    .block();
    border-left: 0.5em solid @blueHeaderColor;
    background-color: @blue;
    color: @white;
    display: flex;
    flex-direction: row;
    align-items: center;
    margin-bottom: 1em;
    .icon {
      font-size: 3em;
      line-height: 1;
      margin-right: 0.5rem;
    }
    .content {
      flex: 1 1 auto;
      .title {
        font-size: 1.25em;
        font-weight: bold;
      }
    }
    &:not(:first-child) {
      margin-top: (@gutterWidth / 2);
    }
  }

  > .content {
    position: relative;
    margin-top: 0;
    background-color: @offWhite;
  }

  h4 {
    margin-top: 1em !important;
  }

  .details.name {
    font-size: 3rem;
    font-weight: 100;
    line-height: 1.25em;
    margin-bottom: 0.25em;
  }

  .tags {
    margin-bottom: 1em;
  }

  .details.content.body {
    font-size: 1rem;
    padding: 1rem 0 1rem 0;
    p {
      line-height: 1.25em;
    }
  }

  &.noContent {
    .details.name {
      padding: 2.5rem 1rem;
      text-align: center; //TODO: Maybe ;)
    }
  }

  .imageContainer {
    display: flex;
    justify-content: center;
  }

  &.vertical-image {
    .imageContainer {
      margin-left: -(@gutterWidth / 2);
      margin-right: -(@gutterWidth / 2);
      margin-top: -(@gutterWidth / 2);
      .cardImage {
        width: 100%;
        img {
          margin-left: auto;
          margin-right: auto;
        }
      }
    }
  }

  .details.stats {
    padding-top: 0.5rem;
    font-size: 0.85rem;
    border-top: 1px solid rgba(0, 0, 0, 0.05);
    flex-wrap: wrap;
    .stat {
      margin-right: 1em;
      margin-bottom: 0.5em;
    }
  }

  .details.metadata {
    padding: 0.5rem;
    &:not(:first-child) {
      border-top: 1px solid rgba(0, 0, 0, 0.05);
    }
    .avatar {
      margin-right: 1em;
      margin-bottom: 0.5em;
    }
    .info {
      .author {
        line-height: 1rem;
        .points {
          font-size: 0.875em;
          margin-left: 0.5em;
        }
      }
      .created-date {
        font-size: 0.75rem;
        line-height: 1rem;
      }
    }
  }

  .badges {
    top: 0;
    right: 1em;
  }

  .phases {
    .phase {
      margin-bottom: 1rem;
    }
  }

  .linkedCards {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    align-content: flex-start;
    padding-right: 0 !important; // Cancel because cards come with their own margin
    padding-bottom: 0 !important; // Cancel because cards come with their own margin
    .linkedCard {
      flex: 1 1 auto;
      flex-basis: 200px;
    }
  }

  .ui.comments {
    max-width: 100%;
    font-size: 0.85em;
  }

  .cardComments {

  }
}
